<template>
	<xn-form-container
		:title="formData.id ? '编辑用户充值待激活记录' : '增加用户充值待激活记录'"
		:width="700"
		v-model:open="open"
		:destroy-on-close="true"
		@close="onClose"
	>
		<a-form ref="formRef" :model="formData" :rules="formRules" layout="vertical">
			<a-form-item label="用户id：" name="userId">
				<a-input v-model:value="formData.userId" placeholder="请输入用户id" allow-clear />
			</a-form-item>
			<a-form-item label="账户糕点：" name="accountBalance">
				<a-input v-model:value="formData.accountBalance" placeholder="请输入账户糕点" allow-clear />
			</a-form-item>
			<a-form-item label="状态1：待激活    2：已激活：" name="status">
				<a-input v-model:value="formData.status" placeholder="请输入状态1：待激活    2：已激活" allow-clear />
			</a-form-item>
			<a-form-item label="帮助激活人数：" name="helpCount">
				<a-input v-model:value="formData.helpCount" placeholder="请输入帮助激活人数" allow-clear />
			</a-form-item>
		</a-form>
		<template #footer>
			<a-button style="margin-right: 8px" @click="onClose">关闭</a-button>
			<a-button type="primary" @click="onSubmit" :loading="submitLoading">保存</a-button>
		</template>
	</xn-form-container>
</template>

<script setup name="bizActivateForm">
	import { cloneDeep } from 'lodash-es'
	import { required } from '@/utils/formRules'
	import bizActivateApi from '@/api/biz/bizActivateApi'
	// 抽屉状态
	const open = ref(false)
	const emit = defineEmits({ successful: null })
	const formRef = ref()
	// 表单数据
	const formData = ref({})
	const submitLoading = ref(false)

	// 打开抽屉
	const onOpen = (record) => {
		open.value = true
		if (record) {
			let recordData = cloneDeep(record)
			formData.value = Object.assign({}, recordData)
		}
	}
	// 关闭抽屉
	const onClose = () => {
		formRef.value.resetFields()
		formData.value = {}
		open.value = false
	}
	// 默认要校验的
	const formRules = {
	}
	// 验证并提交数据
	const onSubmit = () => {
		formRef.value
			.validate()
			.then(() => {
				submitLoading.value = true
				const formDataParam = cloneDeep(formData.value)
				bizActivateApi
					.bizActivateSubmitForm(formDataParam, formDataParam.id)
					.then(() => {
						onClose()
						emit('successful')
					})
					.finally(() => {
						submitLoading.value = false
					})
			})
			.catch(() => {})
	}
	// 抛出函数
	defineExpose({
		onOpen
	})
</script>
